#ifndef __el_energy_h
#define __el_energy_h

#include "release.h"

#include "coordinate.h"
#include "timeleft.h"

#include <iostream>


namespace PRJID {


class Energy {
	unsigned int max;
	unsigned int current;

	unsigned int regen;

	C3f scale;
	C3f trans;
	C3 color;
	Timeleft lastreduce;
public:
	Energy(unsigned int m=100,unsigned int r=0);

	bool empty();

	void reset();

	void cap();
	void set_current(unsigned int c);
	void gain(unsigned int g);
	void reduce(unsigned int g);
	void change(int g);

	bool tick(unsigned int ticks);

	int percent();

	void dim(C3 c,C3f s,C3f t);
	void draw();
};


} //namespace

#endif
