#ifndef __el_timeleft_h
#define __el_timeleft_h

#include "release.h"

#include <iostream>

#include "coordinate.h"

namespace PRJID {


class Timeleft {
	C3f scale;
	C3f trans;
	C3 color;

	unsigned int max;
	unsigned int current;
public:
	Timeleft(unsigned int m=1000);
	

	bool over();

	void reset();

	bool tick(unsigned int ticks);

	int percent();

	void dim(C3 c,C3f s,C3f t);
	void draw();
};


} //namespace

#endif
