

#include "interval.h"

namespace PRJID {


Interval::Interval(int i) {
	interval_=i;
	last_=0;
}


bool Interval::check(int ticks) {
	if (interval_<=0) return false;
	if (last_+interval_>ticks) {
		return false;
	}
	last_+=interval_;
	return true;
}


} //namespace
